Bug 635054 - kde apps fail to build with cmake-2.8.3
kde apps fail to build with cmake-2.8.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-17 13:17 EDT by Orion Poplawski
Modified: 2010-10-22 14:59 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-22 14:59:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2010-09-17 13:17:36 EDT
Description of problem:

kde apps fail to build with cmake-2.8.3

e.g.:

http://koji.fedoraproject.org/koji/buildinfo?buildID=195634

Upstream has a patch:

http://mail.kde.org/pipermail/kde-buildsystem/2010-August/007335.html

apparently is in upstream trunk as well.
Comment 1 Orion Poplawski 2010-10-06 13:14:53 EDT
Progress on this?
Comment 2 Rex Dieter 2010-10-06 13:21:26 EDT
Sorry no, but I'll work on this a bit today, and provide a status update.
Comment 3 Orion Poplawski 2010-10-20 16:21:44 EDT
Ping.  There is an rc2 now that I'd like to get into rawhide.  Just waiting on this.
Comment 4 Rex Dieter 2010-10-22 11:46:44 EDT
I'd say go ahead and "just do it", you've waited long enough, and we're past most critical f14 tasks now.  We can fix this now at our leisure (sooner rather than later of course).
Comment 5 Orion Poplawski 2010-10-22 12:16:16 EDT
All right. 2.8.3-rc3 has been built for rawhide.
Comment 6 Rex Dieter 2010-10-22 14:59:43 EDT
neat, seems everything is kosher again with cmake-2.8.3-rc3, at least for a few of the cases that flew by today, e.g.,
https://koji.fedoraproject.org/koji/buildinfo?buildID=201562

Let's consider it a non-issue, at least until anything bad turns up.

Note You need to log in before you can comment on or make changes to this bug.